Package com.macrofocus.high_d.distributions

# Class AbstractDistributionsController<Component,Color,Row,Column,Value,Bin>

java.lang.Object
com.macrofocus.high_d.distributions.AbstractDistributionsController<Component,Color,Row,Column,Value,Bin>

All Implemented Interfaces:
  `DistributionsController<Component,Color,Row,Column,Value,Bin>`

Direct Known Subclasses:
  `JavaFXDistributionsController`

public class AbstractDistributionsController<Component,Color,Row,Column,Value,Bin> extends Object implements DistributionsController<Component,Color,Row,Column,Value,Bin>
Created by luc on 15/06/16.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `AbstractDistributionsController.DefaultMouseListener`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDistributionsController()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `probe(com.macrofocus.crossplatform.CPCanvas.MouseEvent e, boolean continuous)`
  `void`
  `select(com.macrofocus.crossplatform.CPCanvas.MouseEvent e, boolean continuous)`
  `void`
  `setView(DistributionsView<Component,Color,Row,Column,Value,Bin> view)`
  Replace the view currently under control.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractDistributionsController

    public AbstractDistributionsController()

- ## Method Details

  - ### setView

    public void setView(DistributionsView<Component,Color,Row,Column,Value,Bin> view)
    Description copied from interface: `DistributionsController`
    Replace the view currently under control.
    Specified by:
      `setView` in interface `DistributionsController<Component,Color,Row,Column,Value,Bin>`
    Parameters:
      `view` - the DistributionsView to use

  - ### select

    public void select(com.macrofocus.crossplatform.CPCanvas.MouseEvent e, boolean continuous)

  - ### probe

    public void probe(com.macrofocus.crossplatform.CPCanvas.MouseEvent e, boolean continuous)